> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/eth/streams/mevblockvalue.md).

# MEVBlockValue

`MEVBlockValue` feed provides information of the block at next slot number, allowing block builders to know the latest best block received by a MEV relay.

**Service available via Cloud API only.**

## Stream Endpoint

* Method: `MEVBlockValue`
* Endpoint: `wss://mev-eth.blxrbdn.com/ws`

### **Parameters**

| Key       | Description                                                                                                                                   | Values                                                                                                                                                                                           |
| --------- | --------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `include` | Fields to include in the MEV block value stream.                                                                                              | <p><code>slot\_number,block\_number,block\_hash,block\_value,proposer\_fee\_recipient,gas\_used,builder\_pubkey,parent\_hash,timestamp\_ms,relay\_type</code></p><p><em>\[Default: all]</em></p> |
| `regions` | Restrict delivery to specific originating region(s) (case-insensitive). Omit, or pass `"all"`, to receive every region (default, unfiltered). | e.g. `frankfurt`, `virginia`, `tokyo` — *\[Default: all]*                                                                                                                                        |

### Examples

#### Request

{% tabs %}
{% tab title="wscat" %}

```bash
wscat -c wss://mev-eth.blxrbdn.com/ws --header "Authorization: <YOUR-AUTHORIZATION-HEADER>" --no-check
> {"id": 1, "method": "subscribe", "params": ["MEVBlockValue", {"include": []}]}
```

{% endtab %}
{% endtabs %}

To only receive updates from specific region(s), pass `regions`:

{% tabs %}
{% tab title="wscat" %}

```bash
wscat -c wss://mev-eth.blxrbdn.com/ws --header "Authorization: <YOUR-AUTHORIZATION-HEADER>" --no-check
> {"id": 1, "method": "subscribe", "params": ["MEVBlockValue", {"include": [], "regions": ["frankfurt"]}]}
```

{% endtab %}
{% endtabs %}

#### Response

{% tabs %}
{% tab title="Event" %}

```bash
{
  "id": 1,
  "method": "subscribe",
  "params": {
    "subscription": "34f9c19d-1c67-4358-a96d-e810fe878e4e",
    "result": {
      "relayType": "regulated",
      "slotNumber": 5316618,
      "blockNumber": 16150006,
      "blockHash": "0x1614b511fb8125f12ebc446d53317baa0a503ce3bb9c2b5f55ff149459cf686f",
      "blockValue": 39019045357810515,
      "proposerFeeRecipient": "0x388c818ca8b9251b393131c08a736a67ccb19297",
      "gasUsed": 12121805,
      "builderPubkey": "0x965a05a1ba338f4bbbb97407d70659f4cea2146d83ac5da6c2f3de824713c927dcba706f35322d65764912e7756103e2",
      "parentHash": "0xee69ea2803cae1616a6cda85bf19788550ef2f10a6b7cda4ed6a697ca8ed5003",
      "timestampMs": 1670623433765,
      "region": "frankfurt",
      "optimisticSubmission": true
    }
  }
}
```

{% endtab %}
{% endtabs %}

<table data-search="false"><thead><tr><th>Result Field</th><th>Description</th><th data-hidden></th></tr></thead><tbody><tr><td><code>slotNumber</code></td><td>Slot number of the latest best block.</td><td></td></tr><tr><td><code>blockNumber</code></td><td>Block number of the latest best block.</td><td></td></tr><tr><td><code>blockHash</code></td><td>Block hash of the latest best block.</td><td></td></tr><tr><td><code>blockValue</code></td><td>Block value (proposer payout amount) in wei of the latest best block.</td><td></td></tr><tr><td><code>proposerFeeRecipient</code></td><td>Proposer fee recipient address.</td><td></td></tr><tr><td><code>gasUsed</code></td><td>Block gas used value.</td><td></td></tr><tr><td><code>builderPubkey</code></td><td>Public key of the builder that produced the block.</td><td></td></tr><tr><td><code>parentHash</code></td><td>Block hash of the parent block.</td><td></td></tr><tr><td><code>timestampMs</code></td><td>Block submission timestamp in milliseconds.</td><td></td></tr><tr><td><code>relayType</code></td><td>The type of relay that received best block from builders. Possible value is:  <code>regulated</code>. Please see <a href="/eth/block-builders-and-validators/mev-relay-for-validators.md">MEV Relay</a> for more information about relay types.</td><td></td></tr><tr><td><code>region</code></td><td>Originating region of the MEV relay that received this block value update.</td><td></td></tr><tr><td><code>optimisticSubmission</code></td><td>Whether the block was submitted optimistically to the relay.</td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bloxroute.com/eth/streams/mevblockvalue.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
